
package de.ivu.elect.presentation.wahl.action;

import java.util.ArrayList;
import java.util.List;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.wahl.entity.Wahlart;
import de.ivu.elect.jee.presentation.action.AbstractActionMenuModelBuilder;
import de.ivu.elect.jee.presentation.action.ActionEntry;

@Named(WahlartActionMenu.COMPONENT_NAME)
public class WahlartActionMenu extends AbstractActionMenuModelBuilder<Wahlart> {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "wahlartActionMenu";

  @Inject
  protected WahlartEditAction editAction;

  @Inject
  protected WahlartDeleteAction deleteAction;

  @Override
  protected List<ActionEntry<Wahlart>> getActionEntriesSorted() {
    List<ActionEntry<Wahlart>> result = new ArrayList<>();

    result.add(editAction);
    result.add(deleteAction);

    return result;
  }

}
